﻿Module UsbPt104con
    Declare Function UsbPt104OpenUnit Lib "USBPT104.dll" (ByRef handle As Short, ByVal serial As Byte) As Integer
    Declare Sub UsbPt104CloseUnit Lib "USBPT104.dll" (ByVal handle As Short)
    Declare Function UsbPt104OpenUnitViaIp Lib "USBPT104.dll" (ByRef handle As Short, ByVal serial As Byte, ByVal ipAddress As String) As Integer
    Declare Function UsbPt104IpDetails Lib "USBPT104.dll" (ByVal handle As Short, ByRef enabled As Short, ByVal ipAddress As String, ByRef length As UShort, ByRef Port As UShort, ByVal type As optype) As Integer
    Declare Function UsbPt104Enumerate Lib "USBPT104.dll" (ByVal details As String, ByRef length As UInt32, ByVal type As Integer) As Integer

    Declare Sub Sleep Lib "kernel32.dll" (ByVal time As Integer)

    Enum commtype
        CT_USB = 1
        CT_ETHERNET = 2
        CT_ALL = 3
    End Enum
    Enum optype
        IDT_GET = 0
        IDT_SET = 1
    End Enum




    Sub Main()

        Dim handle As Short
        Dim status As Integer
        Dim ipaddress As String
        Dim port As UShort
        Dim length As UShort
        Dim enabled As Short
        Dim pt104units As String
        Dim strlength As UInt32
        Dim commtype As Integer
        Console.WriteLine("Opening usbpt104 Unit...")

        pt104units = "                                                  "
        ipaddress = "                    "
        port = 0
        length = ipaddress.Length
        enabled = 0
        commtype = 1

        strlength = 50
        status = UsbPt104Enumerate(pt104units, strlength, commtype)

        Console.WriteLine(pt104units)

        status = UsbPt104OpenUnit(handle, 0)

        If handle = 0 Then
            MsgBox("UsbPt104 Unit 1 not opened", vbOKOnly, "Error Message")
            Exit Sub
        End If


        Console.WriteLine("Reading IP Details")
        status = UsbPt104IpDetails(handle, enabled, ipaddress, length, port, optype.IDT_GET)

        If status Then
            Console.WriteLine(status)
            Exit Sub
        Else
            Console.WriteLine(ipaddress)
            Console.WriteLine(enabled)
            Console.WriteLine(port)
        End If

        MsgBox("Closing Unit", vbOKOnly, "ClosingUnit")

        UsbPt104CloseUnit(handle)


    End Sub

End Module
